summaryrefslogtreecommitdiffstats
path: root/network/protonmail-bridge
diff options
context:
space:
mode:
Diffstat (limited to 'network/protonmail-bridge')
-rw-r--r--network/protonmail-bridge/README17
-rw-r--r--network/protonmail-bridge/doinst.sh6
-rw-r--r--network/protonmail-bridge/protonmail-bridge.SlackBuild26
-rw-r--r--network/protonmail-bridge/protonmail-bridge.info8
-rw-r--r--network/protonmail-bridge/slack-desc2
5 files changed, 39 insertions, 20 deletions
diff --git a/network/protonmail-bridge/README b/network/protonmail-bridge/README
index 7865cc13d4..fc62c44680 100644
--- a/network/protonmail-bridge/README
+++ b/network/protonmail-bridge/README
@@ -1,13 +1,12 @@
-The ProtonMail Bridge is an application for paid users that runs on your
-computer in the background and seamlessly encrypts and decrypts your
-mail as it enters and leaves your computer. It allows for full
-integration of your ProtonMail account with any program that supports
-IMAP and SMTP such as Microsoft Outlook, Mozilla Thunderbird and Apple
-Mail.
+Proton Mail Bridge is a desktop application for paid users that runs in
+the background, encrypting and decrypting messages as they enter and
+leave your computer. It allows for full integration of your ProtonMail
+account with any program that supports IMAP and SMTP such as Microsoft
+Outlook, Mozilla Thunderbird and Apple Mail.
Once you've installed and adder your account(s) to the Bridge you will
need to configure your email client. The setup guide for Thunderbird
-can be found here: https://protonmail.com/bridge/thunderbird
+can be found here:
+https://proton.me/support/protonmail-bridge-clients-windows-thunderbird
-This script repackages the Debian binary provided by Proton
-Technologies.
+This script repackages the Debian binary provided by Proton AG.
diff --git a/network/protonmail-bridge/doinst.sh b/network/protonmail-bridge/doinst.sh
index 5fb28930db..65c7e2eeb9 100644
--- a/network/protonmail-bridge/doinst.sh
+++ b/network/protonmail-bridge/doinst.sh
@@ -1,3 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/protonmail-bridge/protonmail-bridge.SlackBuild b/network/protonmail-bridge/protonmail-bridge.SlackBuild
index 491a7ca59a..8a8ab342e2 100644
--- a/network/protonmail-bridge/protonmail-bridge.SlackBuild
+++ b/network/protonmail-bridge/protonmail-bridge.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for protonmail-bridge
-# Copyright 2018-2021 Erich Ritz
+# Copyright 2018-2024 Erich Ritz, Jenks, Oklahoma, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=protonmail-bridge
-VERSION=${VERSION:-1.6.3}
+VERSION=${VERSION:-3.10.0}
DEBVERSION=${DEBVERSION:--1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -41,6 +43,11 @@ if [ -z "$ARCH" ]; then
esac
fi
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
# Upstream only has binary support for x86_64 at present.
if [ "$ARCH" = "x86_64" ]; then
DEBARCH="amd64"
@@ -61,10 +68,17 @@ find -L . \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Upstream claims "not a bug" https://github.com/ProtonMail/proton-bridge/issues/436
+# so remove SGID bit here. Thanks to sbopkglint for catching it.
+chmod -R g-s .
mv $PKG/usr/lib $PKG/usr/lib64
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs chmod 755 2> /dev/null || true
rm $PKG/usr/bin/protonmail-bridge
-ln -s /usr/lib64/protonmail/bridge/proton-bridge-launcher $PKG/usr/bin/protonmail-bridge
+ln -s /usr/lib64/protonmail/bridge/proton-bridge $PKG/usr/bin/protonmail-bridge
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/protonmail/bridge/* $PKG/usr/doc/$PRGNAM-$VERSION/
@@ -77,4 +91,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/protonmail-bridge/protonmail-bridge.info b/network/protonmail-bridge/protonmail-bridge.info
index b09fd9785e..dbfc012d09 100644
--- a/network/protonmail-bridge/protonmail-bridge.info
+++ b/network/protonmail-bridge/protonmail-bridge.info
@@ -1,10 +1,10 @@
PRGNAM="protonmail-bridge"
-VERSION="1.6.3"
-HOMEPAGE="https://protonmail.com/bridge/"
+VERSION="3.10.0"
+HOMEPAGE="https://proton.me/mail/bridge"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://protonmail.com/download/protonmail-bridge_1.6.3-1_amd64.deb"
-MD5SUM_x86_64="bbd8e2c29dbbe62d3044a064b5a38646"
+DOWNLOAD_x86_64="https://proton.me/download/bridge/protonmail-bridge_3.10.0-1_amd64.deb"
+MD5SUM_x86_64="93a2a675cb5d51be2bcbc616f8a5745b"
REQUIRES=""
MAINTAINER="Erich Ritz"
EMAIL="erich.public@protonmail.com"
diff --git a/network/protonmail-bridge/slack-desc b/network/protonmail-bridge/slack-desc
index 1c57aa04ba..925705b4fa 100644
--- a/network/protonmail-bridge/slack-desc
+++ b/network/protonmail-bridge/slack-desc
@@ -12,7 +12,7 @@ protonmail-bridge: The Bridge is an application that runs on your computer in th
protonmail-bridge: background and seamlessly encrypts and decrypts your mail as it
protonmail-bridge: enters and leaves your computer.
protonmail-bridge:
-protonmail-bridge: Proton Technologies AG (ProtonMail Bridge developers)
+protonmail-bridge: Proton AG (ProtonMail Bridge developers)
protonmail-bridge: <bridge@protonmail.ch>
protonmail-bridge:
protonmail-bridge: